# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/cvsroot/gentoo-x86/sys-fs/lufs/captive-lufs-0.9.7-r8.ebuild,v 1.0 2003/11/26 01:25:42 wmertens Exp $

S="${WORKDIR}/lufis-${PV}"
DESCRIPTION="LUFS->FUSE wrapper"
SRC_URI="http://cesnet.dl.sourceforge.net/sourceforge/avf/lufis-${PV}.tar.gz"
HOMEPAGE=""
LICENSE="GPL-2"
SANDBOX_DISABLED=1
#DEPEND="virtual/linux-sources"
DEPEND=">=sys-fs/lufs-0.9.7
        >=sys-fs/fuse-1.1"

RDEPEND=""
KEYWORDS="~x86 ~amd64"
SLOT="0"

src_install () {
	cd ${S}
	emake
	cp lufis /usr/bin
	dodoc README
	#einstall
}

pkg_postinst() {
    einfo Please use lufis to mount partition, e.g.:
    einfo lufis "fs=captivefs,dir_cache_entries=0,image=/dev/hda1,captive_options=--rw;--load-module=/var/lib/captive/ntoskrnl.exe;--filesystem=/var/lib/captive/ntfs.sys;--sandbox-server=/usr/sbin/captive-sandbox-server;" /mnt/ntfs -s
}

#pkg_postrm() {
#    rm /usr/bin/lufis
#}
